com.brightcove.player.model

## Enum CuePoint.PositionType

- java.lang.Object
- - java.lang.Enum<CuePoint.PositionType>
  - - com.brightcove.player.model.CuePoint.PositionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CuePoint.PositionType>
  Enclosing class:
    CuePoint

      public static enum CuePoint.PositionType
      extends java.lang.Enum<CuePoint.PositionType>

  Indicates the position of the cue point in relation to the entire video.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER` Post-roll, plays after the main content of the video.
    `BEFORE` Pre-roll, plays before the main content of the video.
    `POINT_IN_TIME` Mid-roll, plays during the video at a specified offset from the start of the video.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CuePoint.PositionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CuePoint.PositionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE

          public static final CuePoint.PositionType BEFORE

      Pre-roll, plays before the main content of the video.

    - #### POINT_IN_TIME

          public static final CuePoint.PositionType POINT_IN_TIME

      Mid-roll, plays during the video at a specified offset from the start of the video.

    - #### AFTER

          public static final CuePoint.PositionType AFTER

      Post-roll, plays after the main content of the video.

  - ### Method Detail

    - #### values

          public static CuePoint.PositionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CuePoint.PositionType c : CuePoint.PositionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CuePoint.PositionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null